%global debug_package %{nil}

Name:		dzonegit
Version:	0.14
Release:	4%{?dist}
Summary:	Git hooks to manage a repository of DNS zones
License:	MIT
URL:		https://github.com/oskar456/dzonegit
Source0:	https://github.com/oskar456/dzonegit/archive/v%{version}.tar.gz#/dzonegit-%{version}.tar.gz
Patch0:     %{name}-%{version}_pytest-runner.patch

BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%description
dzonegit is a set of Git hooks allowing you to manage DNS zone files in a git
repository. First, zone file sanity checks are run by pre-commit hook on your
computer. After pushing changes to a bare repository on the DNS server, the
sanity checks are run again on the server and if everything is OK, repository
is checked out to a directory, DNS software configuration snippets are
re-generated from a simple template and finally reload command is issued.

%prep
%autosetup -p1

%build
%py3_build

%install
%py3_install

%files
%doc README.rst
%license LICENSE
%{_bindir}/*
%{python3_sitelib}/%{name}.py
%{python3_sitelib}/%{name}-*.egg-info
%{python3_sitelib}/__pycache__/*.pyc

%changelog
* Sun Jul 05 2020 Greg Wildman <greg@techno.co.za> - 0.14-4
- Remove pytest-runner as per deprecation notice
- https://pypi.org/project/pytest-runner

* Sat Jul 04 2020 Greg Wildman <greg@techno.co.za> - 0.14-2
- Initial spec.
- Include cache pyc files as per fedora guidelines.

